using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace ClipTrimDotNet.Client
{
    public class CollectionMetaData
    {
        [JsonProperty(PropertyName = "name")]
        [JsonPropertyName("name")]
        public string Name { get; set; }


        [JsonProperty(PropertyName = "clips")]
        [JsonPropertyName("clips")]
        public List<ClipMetadata> Clips { get; set; } = new List<ClipMetadata>();


        [JsonProperty(PropertyName = "id")]
        [JsonPropertyName("id")]
        public int Id { get; set; }
    }
}
